> For the complete documentation index, see [llms.txt](https://docs.complycube.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.complycube.com/documentation/api-reference/core-resources/workflow-sessions/list-workflow-sessions.md).

# List workflow sessions

### URL

<mark style="color:blue;">**GET**</mark> `https://api.complycube.com/v1/workflowSessions`

This endpoint allows you to list all existing workflow sessions.\
\
The workflow sessions are returned sorted by creation date, with the most recent sessions appearing first.

### Headers

<table><thead><tr><th width="322">Name</th><th width="122">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>Authorization</code><mark style="color:red;">*</mark></td><td>string</td><td>The <strong>live</strong> or <strong>sandbox</strong> API key.</td></tr></tbody></table>

### Query parameters

<table><thead><tr><th width="326">Name</th><th width="118">Type</th><th>Description</th></tr></thead><tbody><tr><td>&#x3C;pagination></td><td>string</td><td>The number of items to return and the number of pages to offset.</td></tr><tr><td>&#x3C;filtering></td><td>string</td><td>Filter the results.</td></tr></tbody></table>

{% hint style="info" %}
You can use [pagination](/documentation/api-reference/pagination.md) and [workflow session filters](/documentation/api-reference/core-resources/workflow-sessions/filtering-workflow-sessions.md) for this endpoint.
{% endhint %}

### Example request

{% tabs fullWidth="false" %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```bash
curl -X GET https://api.complycube.com/v1/workflowSessions \
     -H 'Authorization: <YOUR_API_KEY>'
```

{% endcode %}
{% endtab %}

{% tab title="Node.js" %}
{% code overflow="wrap" %}

```typescript
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

const workflowSessions = await complycube.workflowSession.list("CLIENT_ID");
```

{% endcode %}
{% endtab %}

{% tab title="Python" %}
{% code overflow="wrap" %}

```python
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

wf_session_list = cc_api.workflowsessions.list() 
```

{% endcode %}
{% endtab %}

{% tab title="PHP" %}
{% code overflow="wrap" %}

```php
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$wf_session_list = $ccapi->workflowSessions()->list();
```

{% endcode %}
{% endtab %}

{% tab title=".NET" %}
{% code overflow="wrap" %}

```csharp
using ComplyCube.Net;
using ComplyCube.Net.Resources.WorkflowSessions;

var wfSessionsApi = new WorkflowSessionApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var workflowSessions = await wfSessionsApi.ListAsync();
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Example response

{% tabs %}
{% tab title="Success (200)" %}

```json
{
    "page": 1,
    "pageSize": 100,
    "totalItems": 1,
    "pages": 1,
    "items": [
        {            
            "id": "6890d6a9513d1b0002559aa4",
            "clientId": "5eb1276d96be4a0008713af5",
            "entityName": "John Doe",
            "status": "complete",
            "workflowTemplateName": "Age estimation flow",
            "workflowTemplateId": "688f1e2837d2a9000202ad01",
            "workflowId": "6890d6941fb9b80002b0c1df",
            "workflowVersion": 2,
            "outcome": "clear",
            "createdAt": "2025-01-01T14:06:44.756Z",
            "updatedAt": "2025-01-01T14:06:45.743Z"
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/core-resources/workflow-sessions/list-workflow-sessions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
